# For the King Community DLC

[![Discord][discord-badge]][discord-link]

[discord-badge]: https://img.shields.io/discord/1044414682162790511?label=CommunityDLC%20Discord&logo=discord&style=for-the-badge
[discord-link]: https://discord.gg/tZRjxSDnaG

This mod is a community driven expansion to the game For the King. The content of this mod is meant to keep the original spirit of the game while adding new features, characters, abilities, items, balancing, bug-fixes, and more!

# Feature List

## New Characters

### Paladin
The paladin is a brand new character (complete with custom 3d model!) whose purpose is to help the viability of tank characters.  
![Paladin_Model10](https://user-images.githubusercontent.com/30760231/224574459-213664cc-d79d-480b-817a-a405315e29a4.gif)
![Lava2](https://user-images.githubusercontent.com/30760231/225161421-4c63683b-5cf8-4e80-bc4a-35841e601cc8.gif)
![NoHelmet](https://user-images.githubusercontent.com/30760231/225161142-b13b0f5e-e532-47f6-b7d8-8694d6cea01d.png)



#### Stats (Journeyman/Master)
- Vitality: 84
- Strength: 70
- Intelegence: 40
- Talent: 50
- Awareness: 60
- Speed: 68
- Luck: 50

#### Skills
##### Focus Healer
When the paladin uses focus on an attack, each party member is healed for 8% of their max HP.  
In the overworld, if paladin uses focus (movement, stat check, etc.) at the end of that turn friendly players within a 2 hex radius are healed for 15% of their max HP.  
- The healing is not increased if more than one focus is applied.
- The attack must hit the target in order for the party to receive healing.

##### Divine Intervention
When paladin kills an enemy, her lowest health ally is granted protection.


https://user-images.githubusercontent.com/30760231/226071750-7989abbc-a401-46f9-a742-fdf8c9a7dcfd.mp4


## New Weapons
![HammerLightning](https://user-images.githubusercontent.com/30760231/225162133-a6e6f613-b258-4a90-a33a-ea7607509639.JPG)
![Pugio](https://user-images.githubusercontent.com/30760231/225162107-97c14ca0-cde6-41b9-850d-a3f6ef078249.JPG)
![Silversword](https://user-images.githubusercontent.com/30760231/225162086-296a51e2-1dfc-4533-a644-8c06f2ddc26a.JPG)

### The Defibrillator
The Defibrillator is the first in a line of hammers attuned to vitality. The Defibrillator is a mid/late-game, one handed weapon intended to make vitality builds viable.  
https://user-images.githubusercontent.com/30760231/225162743-9964c04c-57c1-4e3d-a0db-e715c4e6edf7.mp4
### Pugio
Allegedly, this exists somewhere in the game already. However this Pugio is intended to serve as the paladin's starting weapon.  

### Silver Longsword (WIP)
The primary weapon of a hero fortold, the Silver Longsword, is an two-handed awarness sword that can deal physical or magic damage (like the Druid bow).  
**Abillity: Silver Edge**
The Silver Edge ability adds 1 physical damage for every resist the target has. (under construction)  


## Mechanic Reworks
### Taunt 
Taunt has been reworked in an attempt to make tank characters more viable. Changes include:
- Taunt is now "roll for roll". If no skill checks are passed, taunt fails. If one skill check is passed taunt lasts for one combat turn (as usual). If both roll checks are passed taunt lasts for two combat turns.
- When a player is taunting enemies are no longer allowed to use AoE or splash damage attacks (unless they do not have any other kinds of attacks). When someone is taunting, enemies are not subject to ability cooldowns so watch out!
- The additional armor/resist that a player gains while taunting is now impervious.

### Armor
**Impervious Armor**  
Impervious armor has been added to the game, which is armor and resist that cannot be pierced. Currently the only way to get impervious armor is via taunting. But perhaps a certain sanctum could be revived...

### Find Herbs - Hildebrant's Cellar
**Base game behavior**  
In the base game when Find Herbs procs it is put on cooldown until the next turn cycle. This means that in dungeons (icluding Hildebrant's cellar) only one herb may be found for the entire dungeon run.

**Modded behavior**  
Find Herb now checks to see the players are in an infinite dungeon. If so, Find Herbs is not subject to a cooldown.

## A note on Lore
This mod does not change the behavior of lore. The lore you gain while playing the modded version will persist into vanilla and vice versa, as will your unlocks from the lore store.
## Known Issues

